Search documentation of grizzly

# View Source Grizzly.ZWave.CommandClasses.Clock (grizzly v7.4.2)

"Clock" Command Class

The Clock Command Class is used to implement a simple clock functionality.

# Summary

## Types

weekday()

## Functions

decode_weekday(byte)
encode_weekday(weekday)

# Types

Link to this type

# weekday()

View Source

    @type weekday() ::
      :sunday
      | :monday
      | :tuesday
      | :wednesday
      | :thursday
      | :friday
      | :saturday
      | :unknown

# Functions

Link to this function

# decode_weekday(byte)

View Source

    @spec decode_weekday(byte()) ::
      {:ok, weekday()} | {:error, Grizzly.ZWave.DecodeError.t()}

Link to this function

# encode_weekday(weekday)

View Source

    @spec encode_weekday(weekday()) :: byte()